namespace Cogwheel;

using System;
using System.Collections.Generic;
using System.Linq;

public class DeafultCogwheelConsole : ICogwheelConsole
{
    public string OpeningMessage { get; set; } = "** COGWHEEL CONSOLE **";
    public bool IsRunning { get; set; }
    public CommandsManager CommandsManager { get; set; }
    
    
    public void Initialize(CommandsManager commandsManager)
    {
        CommandsManager = commandsManager;
        CommandsManager.RegisterObject(this);
        
        Log(OpeningMessage);
        
        IsRunning = true;
        while (IsRunning)
        {
            Console.Write("> ");
            string input = Console.ReadLine();
            CommandsManager.RunCommand(input);
        }
    }

    public void Log(string message)
    {
        Console.WriteLine($"[COGWHEEL] {message}");
    }

    public void LogError(string message)
    {
        Console.WriteLine($"[COGWHEEL ERROR] {message}");
    }

    public void LogWarning(string message)
    {
        Console.WriteLine($"[COGWHEEL WARNING] {message}");
    }

    public void ClearConsole()
    {
        Console.Clear();
    }

    public void Exit()
    {
        IsRunning = false;
    }
    
}