namespace Cogwheel;

public interface ICogwheelConsole
{
    public string OpeningMessage { get; set; }
    public bool IsRunning { get; set; }
    public CommandsManager CommandsManager { get; set; }
    
    public void Initialize(CommandsManager commandsManager); // Make sure to pass the CommandsManager instance to the Console
    public void Log(string message);
    public void LogError(string message);
    public void LogWarning(string message);
    public void ClearConsole();
    public void Exit();
    
}